Critical Update required! issue

View previous topic View next topic Go down

Critical Update required! issue

Post by Luxifer on Tue 09 May 2017, 12:11

Hello, I have run into an issue, where ZlOrigin keeps telling me that it requires a critical update, and will not let me do anything. ON Tarac's guide, it was said than this is caused by the Zclient and the dummy origina account not matching, or the dummy origin not being the default one. My Zclient and dummy origin accounts are exactly the same, down to the mail and password, and I made sure that the dummy origin is the default account on the official client...anything that can be done?

Luxifer
Beginner
Beginner

Favourite games : The Sims series
Posts : 5
Points : 25
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Tarac on Tue 09 May 2017, 12:26

Look again at the manual and press F5 for the latest version.
In Zclient you must enter the details of your zloemu account, not that of your dummy origin account.
avatar
Tarac
Quartermaster General
Honorary Team Member
Quartermaster General Honorary Team Member

Windows version :
  • Windows 8
  • Windows 7
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Card games
Male Posts : 1378
Points : 2955
Reputation : 181
Join date : 2013-09-14
Age : 73
Location : The Netherlands

View user profile http://www.tarac.nl

Back to top Go down

Re: Critical Update required! issue

Post by Luxifer on Tue 09 May 2017, 12:27

I understand that, but the details are the same, mail, nickname, password et cetera. Could that be a problem as well?

Luxifer
Beginner
Beginner

Favourite games : The Sims series
Posts : 5
Points : 25
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Tarac on Tue 09 May 2017, 12:30

Is Zclient loggin in and then shortly thereafter showing Disconnected ?
When that's the case you have entered incorrect details.
Have you replied to the mail from ZLOEMU ??
avatar
Tarac
Quartermaster General
Honorary Team Member
Quartermaster General Honorary Team Member

Windows version :
  • Windows 8
  • Windows 7
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Card games
Male Posts : 1378
Points : 2955
Reputation : 181
Join date : 2013-09-14
Age : 73
Location : The Netherlands

View user profile http://www.tarac.nl

Back to top Go down

Re: Critical Update required! issue

Post by Luxifer on Tue 09 May 2017, 12:32

It appears as authenticated, dosen't disconnect.

I have confirmed my Zloemu email.

Luxifer
Beginner
Beginner

Favourite games : The Sims series
Posts : 5
Points : 25
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Tarac on Tue 09 May 2017, 12:34

Try a reboot of your computer.
I also had some problems after trying too often.
After a reboot everything worked OK
avatar
Tarac
Quartermaster General
Honorary Team Member
Quartermaster General Honorary Team Member

Windows version :
  • Windows 8
  • Windows 7
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Card games
Male Posts : 1378
Points : 2955
Reputation : 181
Join date : 2013-09-14
Age : 73
Location : The Netherlands

View user profile http://www.tarac.nl

Back to top Go down

Re: Critical Update required! issue

Post by Luxifer on Tue 09 May 2017, 12:36

I have done that, and nothing changed...I should just give it some time then, who knows?

Luxifer
Beginner
Beginner

Favourite games : The Sims series
Posts : 5
Points : 25
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Tarac on Tue 09 May 2017, 12:39

Have you tried removing ZlOrigin and re-install ?
avatar
Tarac
Quartermaster General
Honorary Team Member
Quartermaster General Honorary Team Member

Windows version :
  • Windows 8
  • Windows 7
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Card games
Male Posts : 1378
Points : 2955
Reputation : 181
Join date : 2013-09-14
Age : 73
Location : The Netherlands

View user profile http://www.tarac.nl

Back to top Go down

Re: Critical Update required! issue

Post by Luxifer on Tue 09 May 2017, 12:47

Have removed and reinstalled, still no luck. WhatDidUJustCallMe?

Luxifer
Beginner
Beginner

Favourite games : The Sims series
Posts : 5
Points : 25
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by scottson on Tue 09 May 2017, 19:36

I am having exactly the same issue.

It says in the help section that it's because Zlorigin account doesn't  match with the Origin account but I used the same email address and passwords for everything. I have also uninstalled and reinstalled it and I still can't get it to work.

scottson
Beginner
Beginner

Favourite games : Sims 4
Posts : 19
Points : 39
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Tarac on Tue 09 May 2017, 19:45

@scottson wrote:I am having exactly the same issue.

It says in the help section that it's because Zlorigin account doesn't  match with the Origin account but I used the same email address and passwords for everything. I have also uninstalled and reinstalled it and I still can't get it to work.
It definately has nothing to do with your (dummy) Origin account.
You do not even need an Oigin account.

1. Make an account on Zloemu.tk
2. Wait for confirmation mail from ZLOEMU - click on the link to confirm your account/email.
3. When the registration incl. confirmation is completed:
4. Log in in ZClient - use the email and password you used in item 1
5. When you now click on Connect in ZClient you should receive a message Auth.success on .... (The name of your account in item 1)
6. Should Zclient shortly thereafter come with a message Disconnected, then you've done something wrong.
avatar
Tarac
Quartermaster General
Honorary Team Member
Quartermaster General Honorary Team Member

Windows version :
  • Windows 8
  • Windows 7
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Card games
Male Posts : 1378
Points : 2955
Reputation : 181
Join date : 2013-09-14
Age : 73
Location : The Netherlands

View user profile http://www.tarac.nl

Back to top Go down

Re: Critical Update required! issue

Post by scottson on Tue 09 May 2017, 19:53

@Tarac wrote:
@scottson wrote:I am having exactly the same issue.

It says in the help section that it's because Zlorigin account doesn't  match with the Origin account but I used the same email address and passwords for everything. I have also uninstalled and reinstalled it and I still can't get it to work.
It definately has nothing to do with your (dummy) Origin account.
You do not even need an Oigin account.

1. Make an account on Zloemu.tk
2. Wait for confirmation mail from ZLOEMU - click on the link to confirm your account/email.
3. When the registration incl. confirmation is completed:
4. Log in in ZClient - use the email and password you used in item 1
5. When you now click on Connect in ZClient you should receive a message Auth.success on .... (The name of your account in item 1)
6. Should Zclient shortly thereafter come with a message Disconnected, then you've done something wrong.



I have also done all of that, account is confirmed, all emails and passwords are the same, it connects fine and doesn't disconnect at all. When I go into Zlorigin I still get the error and cannot connect online. Do you think it's work uninstalling everything including ZClient and trying the whole thing again?

scottson
Beginner
Beginner

Favourite games : Sims 4
Posts : 19
Points : 39
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Tarac on Tue 09 May 2017, 19:56

Connect on line ?? ZLOrigin is always on-line
Any error messages ?
avatar
Tarac
Quartermaster General
Honorary Team Member
Quartermaster General Honorary Team Member

Windows version :
  • Windows 8
  • Windows 7
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Card games
Male Posts : 1378
Points : 2955
Reputation : 181
Join date : 2013-09-14
Age : 73
Location : The Netherlands

View user profile http://www.tarac.nl

Back to top Go down

Re: Critical Update required! issue

Post by scottson on Tue 09 May 2017, 20:47

This is what I'm getting 



scottson
Beginner
Beginner

Favourite games : Sims 4
Posts : 19
Points : 39
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Tarac on Tue 09 May 2017, 20:53

After [19.44] Auth success as .....
it should have mentioned.
[19.45] origin.exe

Was Origin or ZLOrigin open on your computer prior to the execution of ZClient ?
Have you tried again after closing all instances of Origin and rightclicking on all the Z-iconds you see in the taskbar ?

You could also try to click on Origin in the top of the Origin screen and select Go online


Last edited by Tarac on Tue 09 May 2017, 20:56; edited 1 time in total
avatar
Tarac
Quartermaster General
Honorary Team Member
Quartermaster General Honorary Team Member

Windows version :
  • Windows 8
  • Windows 7
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Card games
Male Posts : 1378
Points : 2955
Reputation : 181
Join date : 2013-09-14
Age : 73
Location : The Netherlands

View user profile http://www.tarac.nl

Back to top Go down

Re: Critical Update required! issue

Post by scottson on Tue 09 May 2017, 20:55

That's worked! It's now connected and I can see the games.

Thank you so much.

I clicked on download and it's come up with download error, check your internet connection but loads of people seem to be having this issue because of the amount of people trying to do it so I'll be patient and try again in a bit.

Thanks again

scottson
Beginner
Beginner

Favourite games : Sims 4
Posts : 19
Points : 39
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Tarac on Tue 09 May 2017, 21:12

What you could try (wild guess):
Rightclick on the picture of the Sims 4 and select Repair
You might trick it into downloading
avatar
Tarac
Quartermaster General
Honorary Team Member
Quartermaster General Honorary Team Member

Windows version :
  • Windows 8
  • Windows 7
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Card games
Male Posts : 1378
Points : 2955
Reputation : 181
Join date : 2013-09-14
Age : 73
Location : The Netherlands

View user profile http://www.tarac.nl

Back to top Go down

Re: Critical Update required! issue

Post by scottson on Tue 09 May 2017, 21:15

There was no option for repair, just download. Lots of people seem to be having this issue so I'm guessing it may be a server issue.

scottson
Beginner
Beginner

Favourite games : Sims 4
Posts : 19
Points : 39
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Egy92 on Wed 10 May 2017, 12:22

I have the same issue. I can't go online with zlorigin.
I have a mac, but the procedure to install the game is the same, since I use wineskin (it allows me to install .exe programs on mac).
But I can't go through the "critical update needed" issue.
Any ideas? Sad

Egy92
Beginner
Beginner

Favourite games : The sims 4
Posts : 3
Points : 21
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Tarac on Wed 10 May 2017, 12:43



This is caused by not entering the correct details in your zclient.
Details should be those of your zloemu-account.
avatar
Tarac
Quartermaster General
Honorary Team Member
Quartermaster General Honorary Team Member

Windows version :
  • Windows 8
  • Windows 7
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Card games
Male Posts : 1378
Points : 2955
Reputation : 181
Join date : 2013-09-14
Age : 73
Location : The Netherlands

View user profile http://www.tarac.nl

Back to top Go down

Re: Critical Update required! issue

Post by Egy92 on Wed 10 May 2017, 13:17

@Tarac wrote:

This is caused by not entering the correct details in your zclient.
Details should be those of your zloemu-account.
I'm using the zloemu account, but it doesn't work... Sad

Egy92
Beginner
Beginner

Favourite games : The sims 4
Posts : 3
Points : 21
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Jadeskyee on Wed 10 May 2017, 14:51

This happened to me last night too.  I uninstalled the zclient,I made sure the files and folder were deleted and then ran ccleaner on my registry.  I restarted my computer and unzipped the file and used a fresh installer to reinstall the zclient and followed the steps again and it worked.


Last edited by Jadeskyee on Wed 10 May 2017, 14:55; edited 1 time in total (Reason for editing : Corrected text)
avatar
Jadeskyee
Posting Nerd
Posting Nerd

Windows version :
  • Windows 7

System architecture :
  • 64 bits (x64)

Favourite games : Sims 2, Grand Theft Auto San Andreas
Female Posts : 64
Points : 1874
Reputation : 3
Join date : 2012-07-14
Age : 39
Location : NJ

View user profile

Back to top Go down

Re: Critical Update required! issue

Post by Egy92 on Wed 10 May 2017, 15:22

@Jadeskyee wrote:This happened to me last night too.  I uninstalled the zclient,I made sure the files and folder were deleted and then ran ccleaner on my registry.  I restarted my computer and unzipped the file and used a fresh installer to reinstall the zclient and followed the steps again and it worked.
 It useless for me because I don't have it installed, I have it running with wine... Sad I have to find another solution!

Egy92
Beginner
Beginner

Favourite games : The sims 4
Posts : 3
Points : 21
Reputation : 0
Join date : 2017-05-09

View user profile

Back to top Go down

View previous topic View next topic Back to top


Permissions in this forum:
You cannot reply to topics in this forum